MagickCore: animate.c File Reference

# animate.c File Reference

`#include "magick/studio.h"`
`#include "magick/animate.h"`
`#include "magick/animate-private.h"`
`#include "magick/client.h"`
`#include "magick/color.h"`
`#include "magick/color-private.h"`
`#include "magick/colorspace.h"`
`#include "magick/constitute.h"`
`#include "magick/delegate.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/geometry.h"`
`#include "magick/image-private.h"`
`#include "magick/layer.h"`
`#include "magick/list.h"`
`#include "magick/log.h"`
`#include "magick/image.h"`
`#include "magick/memory_.h"`
`#include "magick/monitor.h"`
`#include "magick/option.h"`
`#include "magick/property.h"`
`#include "magick/resource_.h"`
`#include "magick/string_.h"`
`#include "magick/transform.h"`
`#include "magick/utility.h"`
`#include "magick/version.h"`
`#include "magick/widget.h"`
`#include "magick/xwindow-private.h"`

## Defines
#define | AutoReverseAnimationState 0x0004
#define | ForwardAnimationState 0x0008
#define | HighlightState 0x0010
#define | PlayAnimationState 0x0020
#define | RepeatAnimationState 0x0040
#define | StepAnimationState 0x0080
#define | HighlightWidth 8
#define | HighlightHeight 8
#define | ShadowWidth 8
#define | ShadowHeight 8
#define | MagickMenus 4
#define | MaXWindows 8
#define | MagickTitle "Commands"
## Enumerations
enum | CommandType { OpenCommand, SaveCommand, PlayCommand, StepCommand, RepeatCommand, AutoReverseCommand, SlowerCommand, FasterCommand, ForwardCommand, ReverseCommand, HelpCommand, BrowseDocumentationCommand, VersionCommand, InfoCommand, QuitCommand, StepBackwardCommand, StepForwardCommand, NullCommand, OpenCommand, NextCommand, FormerCommand, SelectCommand, SaveCommand, PrintCommand, DeleteCommand, NewCommand, VisualDirectoryCommand, QuitCommand, UndoCommand, RedoCommand, CutCommand, CopyCommand, PasteCommand, HalfSizeCommand, OriginalSizeCommand, DoubleSizeCommand, ResizeCommand, ApplyCommand, RefreshCommand, RestoreCommand, CropCommand, ChopCommand, FlopCommand, FlipCommand, RotateRightCommand, RotateLeftCommand, RotateCommand, ShearCommand, RollCommand, TrimCommand, HueCommand, SaturationCommand, BrightnessCommand, GammaCommand, SpiffCommand, DullCommand, ContrastStretchCommand, SigmoidalContrastCommand, NormalizeCommand, EqualizeCommand, NegateCommand, GrayscaleCommand, MapCommand, QuantizeCommand, DespeckleCommand, EmbossCommand, ReduceNoiseCommand, AddNoiseCommand, SharpenCommand, BlurCommand, ThresholdCommand, EdgeDetectCommand, SpreadCommand, ShadeCommand, RaiseCommand, SegmentCommand, SolarizeCommand, SepiaToneCommand, SwirlCommand, ImplodeCommand, VignetteCommand, WaveCommand, OilPaintCommand, CharcoalDrawCommand, AnnotateCommand, DrawCommand, ColorCommand, MatteCommand, CompositeCommand, AddBorderCommand, AddFrameCommand, CommentCommand, LaunchCommand, RegionofInterestCommand, ROIHelpCommand, ROIDismissCommand, InfoCommand, ZoomCommand, ShowPreviewCommand, ShowHistogramCommand, ShowMatteCommand, BackgroundCommand, SlideShowCommand, PreferencesCommand, HelpCommand, BrowseDocumentationCommand, VersionCommand, SaveToUndoBufferCommand, FreeBuffersCommand, NullCommand }
## Functions
static Image * | XMagickCommand (Display *, XResourceInfo *, XWindows *, const CommandType, Image **, MagickStatusType *)
static MagickBooleanType | XSaveImage (Display *, XResourceInfo *, XWindows *, Image *)
MagickExport MagickBooleanType | AnimateImages (const ImageInfo *image_info, Image *images)
static long | MagickMax (const long x, const long y)
static int | SceneCompare (const void *x, const void *y)
MagickExport void | XAnimateBackgroundImage (Display *display, XResourceInfo *resource_info, Image *images)
MagickExport Image * | XAnimateImages (Display *display, XResourceInfo *resource_info, char **argv, const int argc, Image *images)
## Variables
static const char * | AnimateHelp []
static const char * | PageSizes []
static const unsigned char | HighlightBitmap [8]
static const unsigned char | ShadowBitmap [8]

## Define Documentation

#define AutoReverseAnimationState 0x0004

#define ForwardAnimationState 0x0008

#define HighlightHeight 8

#define HighlightState 0x0010

#define HighlightWidth 8

#define MagickMenus 4

#define MagickTitle "Commands"

#define MaXWindows 8

#define PlayAnimationState 0x0020

#define RepeatAnimationState 0x0040

#define ShadowHeight 8

#define ShadowWidth 8

#define StepAnimationState 0x0080

## Enumeration Type Documentation

enum CommandType

Enumerator:

  OpenCommand |
  SaveCommand |
  PlayCommand |
  StepCommand |
  RepeatCommand |
  AutoReverseCommand |
  SlowerCommand |
  FasterCommand |
  ForwardCommand |
  ReverseCommand |
  HelpCommand |
  BrowseDocumentationCommand |
  VersionCommand |
  InfoCommand |
  QuitCommand |
  StepBackwardCommand |
  StepForwardCommand |
  NullCommand |
  OpenCommand |
  NextCommand |
  FormerCommand |
  SelectCommand |
  SaveCommand |
  PrintCommand |
  DeleteCommand |
  NewCommand |
  VisualDirectoryCommand |
  QuitCommand |
  UndoCommand |
  RedoCommand |
  CutCommand |
  CopyCommand |
  PasteCommand |
  HalfSizeCommand |
  OriginalSizeCommand |
  DoubleSizeCommand |
  ResizeCommand |
  ApplyCommand |
  RefreshCommand |
  RestoreCommand |
  CropCommand |
  ChopCommand |
  FlopCommand |
  FlipCommand |
  RotateRightCommand |
  RotateLeftCommand |
  RotateCommand |
  ShearCommand |
  RollCommand |
  TrimCommand |
  HueCommand |
  SaturationCommand |
  BrightnessCommand |
  GammaCommand |
  SpiffCommand |
  DullCommand |
  ContrastStretchCommand |
  SigmoidalContrastCommand |
  NormalizeCommand |
  EqualizeCommand |
  NegateCommand |
  GrayscaleCommand |
  MapCommand |
  QuantizeCommand |
  DespeckleCommand |
  EmbossCommand |
  ReduceNoiseCommand |
  AddNoiseCommand |
  SharpenCommand |
  BlurCommand |
  ThresholdCommand |
  EdgeDetectCommand |
  SpreadCommand |
  ShadeCommand |
  RaiseCommand |
  SegmentCommand |
  SolarizeCommand |
  SepiaToneCommand |
  SwirlCommand |
  ImplodeCommand |
  VignetteCommand |
  WaveCommand |
  OilPaintCommand |
  CharcoalDrawCommand |
  AnnotateCommand |
  DrawCommand |
  ColorCommand |
  MatteCommand |
  CompositeCommand |
  AddBorderCommand |
  AddFrameCommand |
  CommentCommand |
  LaunchCommand |
  RegionofInterestCommand |
  ROIHelpCommand |
  ROIDismissCommand |
  InfoCommand |
  ZoomCommand |
  ShowPreviewCommand |
  ShowHistogramCommand |
  ShowMatteCommand |
  BackgroundCommand |
  SlideShowCommand |
  PreferencesCommand |
  HelpCommand |
  BrowseDocumentationCommand |
  VersionCommand |
  SaveToUndoBufferCommand |
  FreeBuffersCommand |
  NullCommand |

## Function Documentation

MagickExport MagickBooleanType AnimateImages | ( | const ImageInfo * | image_info,
|  | Image * | images |
| ) |  |  |

static long MagickMax | ( | const long | x,
|  | const long | y |
| ) |  |  | `[inline, static]`

static int SceneCompare | ( | const void * | x,
|  | const void * | y |
| ) |  |  | `[static]`

MagickExport void XAnimateBackgroundImage | ( | Display * | display,
|  | XResourceInfo * | resource_info,
|  | Image * | images |
| ) |  |  |

MagickExport Image* XAnimateImages | ( | Display * | display,
|  | XResourceInfo * | resource_info,
|  | char ** | argv,
|  | const int | argc,
|  | Image * | images |
| ) |  |  |

static Image * XMagickCommand | ( | Display * | display,
|  | XResourceInfo * | resource_info,
|  | XWindows * | windows,
|  | const | CommandType,
|  | Image ** | image,
|  | MagickStatusType * | state |
| ) |  |  | `[static]`

static MagickBooleanType XSaveImage | ( | Display * | display,
|  | XResourceInfo * | resource_info,
|  | XWindows * | windows,
|  | Image * | image |
| ) |  |  | `[static]`

## Variable Documentation

const char* AnimateHelp[]`[static]`

const unsigned char HighlightBitmap[8]`[static]`

Initial value:

      {
        (unsigned char) 0xaa,
        (unsigned char) 0x55,
        (unsigned char) 0xaa,
        (unsigned char) 0x55,
        (unsigned char) 0xaa,
        (unsigned char) 0x55,
        (unsigned char) 0xaa,
        (unsigned char) 0x55
      }

const char* PageSizes[]`[static]`

Initial value:

      {
        "Letter",
        "Tabloid",
        "Ledger",
        "Legal",
        "Statement",
        "Executive",
        "A3",
        "A4",
        "A5",
        "B4",
        "B5",
        "Folio",
        "Quarto",
        "10x14",
        (char *) NULL
      }

const unsigned char ShadowBitmap[8]`[static]`

Initial value:

      {
        (unsigned char) 0x00,
        (unsigned char) 0x00,
        (unsigned char) 0x00,
        (unsigned char) 0x00,
        (unsigned char) 0x00,
        (unsigned char) 0x00,
        (unsigned char) 0x00,
        (unsigned char) 0x00
      }